<!DOCTYPE html>
<html>

<head>
  
</head>
<body>
    <form name="myForm" onsubmit="return validateForm()">Name: <input type="text" name="fname">
        <br> Age (form 1 to 100): <input type="text" name="fage">
        <br> E-mail: <input type="text" name="femail">
        
        <br><input type="submit" value="Submit">
    </form>
    



</body>
<script>
  
    function validateForm(){
       console.log("ok");
        var fname = document.forms["myForm"]["fname"].value;
        
        if (fname==""||fname.length > 10){
            alert("The name must be at most 10 characters");
            return false;
        }
        
        var fage = document.forms["myForm"]["fage"].value;
        
        if (isNaN(fage)||fage >100|| fage < 1){
            alert("The age must be a number from 1 to 100");
            return false;

        }

        var femail = document.forms["myForm"]["femail"].value;

        var index = femail.indexOf("@");
        if (index == 0 || index == femail.length - 1||index == -1) {
            alert("Not avilid e-mail because it does not have @");
            return false;
        }
   
    }

</script>

</html>